;;;; autoload.jl -- Initialise auto-load functions
;;;  Copyright (C) 1993, 1994 John Harper <jsh@ukc.ac.uk>

;;; This file is part of Jade.

;;; Jade is free software; you can redistribute it and/or modify it
;;; under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2, or (at your option)
;;; any later version.

;;; Jade is distributed in the hope that it will be useful, but
;;; WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.

;;; You should have received a copy of the GNU General Public License
;;; along with Jade; see the file COPYING.  If not, write to
;;; the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

;;; ::autoload-start::
(autoload 'add-change-log-entry "add-log" t)
(autoload 'yes-or-no-p "ask")
(autoload 'y-or-n-p "ask")
(autoload 'asm-mode "asm-mode" t)
(autoload 'asm-cpp-mode "asm-mode" t)
(autoload 'buffer-menu "buffer-menu" t)
(autoload 'c-mode "c-mode" t)
(autoload 'c-backslash-area "c-mode" t)
(autoload 'c-insert-comment "c-mode" t)
(autoload 'start-compile-command "compile")
(autoload 'compile "compile" t)
(autoload 'next-error "compile" t)
(autoload 'grep "compile" t)
(autoload 'grep-buffer "compile" t)
(autoload 'compile-file "compiler" t)
(autoload 'compile-directory "compiler" t)
(autoload 'compile-lisp-lib "compiler" t)
(autoload 'compile-form "compiler")
(autoload 'debug-entry "debug")
(autoload 'debug-error-entry "debug")
(autoload 'disassemble-fun "disassembler" t)
(autoload 'fill-mode "fill-mode" t)
(autoload 'fill-mode-on "fill-mode" t)
(autoload 'set-fill-column "fill-mode" t)
(autoload 'add-autoloads "find-autoloads" t)
(autoload 'remove-autoloads "find-autoloads" t)
(autoload 'gdb "gdb" t)
(autoload 'help "help" t)
(autoload 'describe-mode "help" t)
(autoload 'documentation "help")
(autoload 'document-var "help")
(autoload 'info "info" t)
(autoload 'isearch-forward "isearch" t)
(autoload 'isearch-backward "isearch" t)
(autoload 'print-keymap "keymap")
(autoload 'read-event "keymap")
(autoload 'describe-key "keymap" t)
(autoload 'latin-1-mode "latin-1" t)
(autoload 'lisp-mode "lisp-mode" t)
(autoload 'eval-sexp "lisp-mode" t)
(autoload 'eval-insert-sexp "lisp-mode" t)
(autoload 'eval-print-sexp "lisp-mode" t)
(autoload 'replace-all "replace" t)
(autoload 'query-replace "replace" t)
(autoload 'server-open-file "server")
(autoload 'server-close-file "server" t)
(autoload 'shell-mode "shell")
(autoload 'shell "shell" t)
(autoload 'texinfo-mode "texinfo-mode" t)
(autoload 'text-mode "text-mode" t)
(autoload 'indented-text-mode "text-mode" t)
(autoload 'center-line "text-mode" t)
(autoload 'center-paragraph "text-mode" t)
;;; ::autoload-end::
